# std::match_results<BidirIt,Alloc>::get_allocator

From cppreference.com
< cpp‎ | regex‎ | match results

allocator_type get_allocator() const; |  | (since C++11)

Returns the allocator associated with the object.

### Parameters

(none)

### Return value

The associated allocator.

### Complexity

Constant.

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/regex/match_results/get_allocator&oldid=63408"